#! /bin/bash -f

for opt in s 0 1 2 3; do
    arm-none-eabi-gcc -o lnat-$opt.o -c -mcpu=cortex-m3 -mthumb -march=armv7-m -O$opt -Wall -Wextra -Wno-array-bounds -Wno-unused-macros -Wno-cast-align -Wno-unused-function -Wno-unused-parameter -Wno-parentheses -fdata-sections -ffunction-sections -g3 -std=gnu99 lnat.c

    arm-none-eabi-objdump -dS lnat-$opt.o > lnat-$opt.dis
done
